[Numpy-discussion] f2py: VS version on Windows

David Cournapeau cournape@gmail....
Mon Feb 2 21:25:40 CST 2009


On Tue, Feb 3, 2009 at 10:55 AM, Sturla Molden <sturla@molden.no> wrote:
>
>> Python extensions must be built using the same compiler as was used to
>> build the Python binary.  Python 2.5.4 was built using MSVC2003 and so
>> extensions for it must be built using the same compiler. The exception
>> to this rule is that extensions built using mingw32 (and msys) will
>> work with most, if not all, windows Python binaries.
>
>
> This is NOT correct.

Although it is technically true, that's relatively irrelevant for
practical matters: it is not currently possible to build numpy with VS
2008 and 7.1 CRT, and you have to build numpy with the same compiler
as the one used by python if you use MS compilers.

David


More information about the Numpy-discussion mailing list